Bug 220230 - www/iridium: add sndio backend
Summary: www/iridium: add sndio backend
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2017-06-23 19:46 UTC by Tobias Kortkamp
Modified: 2017-06-27 21:58 UTC (History)
3 users (show)

See Also:
cpm: maintainer-feedback+


Attachments
iridium.diff (31.78 KB, patch)
2017-06-23 19:46 UTC, Tobias Kortkamp
cpm: maintainer-approval+
Details | Diff
chromium.diff (31.86 KB, patch)
2017-06-23 19:51 UTC, Tobias Kortkamp
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Kortkamp freebsd_committer 2017-06-23 19:46:23 UTC
Created attachment 183744 [details]
iridium.diff

This adds an sndio backend to Iridium.  I have run this for over 1.5
months now and have not noticed any problems with it so far.

It adds three additional patches and a couple of source files for the
sndio backend from the OpenBSD ports tree.

Test builds are fine with Poudriere on 12.0-CURRENT r317732.
Comment 1 Tobias Kortkamp freebsd_committer 2017-06-23 19:51:34 UTC
Created attachment 183745 [details]
chromium.diff

I'm also attaching a patch to www/chromium.  It is basically the
same, but I haven't really tested it yet and it currently still
builds which will take a couple of more hours...
Comment 2 Tobias Kortkamp freebsd_committer 2017-06-24 05:55:06 UTC
(In reply to Tobias Kortkamp from comment #1)
The test build of www/chromium was ok as well and appears to be working fine at runtime too.
Comment 3 Carlos J. Puga Medina freebsd_committer 2017-06-24 07:12:31 UTC
I'll commit it ASAP.

Thanks for the patches, Tobias
Comment 4 commit-hook freebsd_committer 2017-06-27 21:49:42 UTC
A commit references this bug:

Author: cpm
Date: Tue Jun 27 21:49:16 UTC 2017
New revision: 444519
URL: https://svnweb.freebsd.org/changeset/ports/444519

Log:
  www/iridium: add SNDIO option

  PR:		220230
  Submitted by:	tobik

Changes:
  head/www/iridium/Makefile
  head/www/iridium/files/audio_manager_openbsd.cc
  head/www/iridium/files/audio_manager_openbsd.h
  head/www/iridium/files/patch-media_BUILD.gn
  head/www/iridium/files/patch-media_audio_BUILD.gn
  head/www/iridium/files/patch-media_media_options.gni
  head/www/iridium/files/sndio_input.cc
  head/www/iridium/files/sndio_input.h
  head/www/iridium/files/sndio_output.cc
  head/www/iridium/files/sndio_output.h
Comment 5 commit-hook freebsd_committer 2017-06-27 21:56:49 UTC
A commit references this bug:

Author: cpm
Date: Tue Jun 27 21:56:40 UTC 2017
New revision: 444520
URL: https://svnweb.freebsd.org/changeset/ports/444520

Log:
  www/chromium: add SNDIO option

  PR:		220230
  Submitted by:	tobik

Changes:
  head/www/chromium/Makefile
  head/www/chromium/files/audio_manager_openbsd.cc
  head/www/chromium/files/audio_manager_openbsd.h
  head/www/chromium/files/patch-media_BUILD.gn
  head/www/chromium/files/patch-media_audio_BUILD.gn
  head/www/chromium/files/patch-media_media_options.gni
  head/www/chromium/files/sndio_input.cc
  head/www/chromium/files/sndio_input.h
  head/www/chromium/files/sndio_output.cc
  head/www/chromium/files/sndio_output.h
Comment 6 Carlos J. Puga Medina freebsd_committer 2017-06-27 21:58:13 UTC
Committed!

Thanks